module Main where

import System.Environment
import Database.Berkeley.Db
import Database.Berkeley.DbXml
import Control.Monad

data Action = Read | Write | Fail deriving Eq

main = do
    dbenv <- dbEnv_create []
    dbEnv_open dbenv "." [DB_CREATE,DB_INIT_MPOOL] 0
    mgr <- xmlManager_create dbenv []
    db <- xmlManager_openContainer mgr "metabarter.dbxml"
        [DBXML_TRANSACTIONAL,DB_FLAG DB_READ_UNCOMMITTED,DB_FLAG DB_THREAD,DB_FLAG DB_MULTIVERSION,DB_FLAG DB_CREATE]
        WholedocContainer 0

    -- To do: Make this test more interesting
    putStrLn "Finished."

